'37_in_1, KY-001, Temperature Sensor Module (DS18B20)
'37_in_1, KY-015, Temperature and Humidity Sensor Module (DHT11)

$regfile = "m328pdef.dat"
$crystal = 16000000
$hwstack = 20
$swstack = 20
$framesize = 80

Dim Cmd As Byte
Dim Ds1820_adr(8) As Byte , I As Byte
Dim Temp_s As Single

'Config Base = 1
Config Clockdiv = 1

$include "Arduino_pins.sub"                                 'include Arduino pin definitions
$include "DS18B20$SE.sub"                                   'include DS18B20$SE.sub
$include "DHT11$SE.sub"

Config Arduino_pin#2 = Input
Arduino_port#2 = 1

Config 1wire = Arduino_port#7

Dht11$in Alias Pind.6                                       'Arduino_pin#6
Dht11$out Alias Portd.6                                     'Arduino_port#6

Wait 1
Print "37_in_1 demo program 11"
Print "#2 = digital input"
Print "#6 = DHT11 bus"
Print "#7 = 1-wire"
Print

Do
'  Debounce Arduino_pin#2 , 0 , Measure_temp , Sub
'  Cmd = Inkey()
'  If Cmd = "1" Then
'    Gosub Measure_temp
'  End If
  Wait 5
  Gosub Measure_temp
Loop

End

Measure_temp:
  Print "DS18B20 t = ";
  Ds18b20$measure_temp
  If Err = 0 Then
    Waitms 800
    Ds18b20$read_temp
  End If
  If Err = 0 Then
    Temp_s = Ds18b20$temp / 16
    Print Fusing(temp_s , "#.#") ; "C"
  Else
    Print "DS1820?"
  End If

  Dht11$read
  If Err = 0 Then
    Print "DHT11   t = " ; Dht11$t1 ; "." ; Dht11$t2 ; "C" ; "  H = " ; Dht11$h1 ; "." ; Dht11$h2 ; "%"
  Else
    Print "DHT11?"
  End If

  Print
Return