'37_in_1, KY-015, Temperature and Humidity Sensor Module (DHT11)

$regfile = "m328pdef.dat"
$crystal = 16000000
$hwstack = 20
$swstack = 20
$framesize = 80

Config Clockdiv = 1

$include "DHT11$SE.sub"

Dht11$in Alias Pind.6                                       'Arduino_pin#6
Dht11$out Alias Portd.6                                     'Arduino_port#6

Wait 1
Print "37_in_1 demo program 10"
Print "#6 = DHT11 bus"
Print

Do
  Waitms 1500
  Dht11$read
  If Err = 0 Then
    Print "H = " ; Dht11$h1 ; "." ; Dht11$h2 ; "%"
    Print "t = " ; Dht11$t1 ; "." ; Dht11$t2 ; "C"
    Print
  Else
    Print "DHT11 error!"
    print
  End If
Loop

End